TrainingProject Text

Update Training Text

Modify the content of an existing text or FAQ record. **Permission required:** Training > Write

Modify the content of an existing text or FAQ record.

Permission required: Training > Write

POST
/updateProjectText

Authorization

bearerToken

AuthorizationBearer <token>

API token for YourGPT Public APIs. Create tokens in Settings > API Tokens in your YourGPT dashboard.

In: header

Request Body

application/json

project_uid*string

Project identifier.

id*integer

Text ID to update.

detail?string

Updated content.

short_text?string

Updated title or question.

tags?string

Updated tags (comma-separated).

Response Body

application/json

application/json

application/json

curl -X POST "https://api.yourgpt.ai/chatbot/v1/updateProjectText" \  -H "Content-Type: application/json" \  -d '{    "project_uid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",    "id": 15  }'
{
  "type": "RXSUCCESS",
  "message": "Data Updated Successfully!"
}
{
  "type": "RXERROR",
  "message": "Invalid text id"
}
{
  "type": "RXERROR",
  "message": "Invalid or expired API token"
}